import { timerify } from '../../util/Performance.js';
import { hasDependency } from '../../util/plugin.js';
import { toEntryPattern } from '../../util/protocols.js';
export const NAME = 'Rollup';
export const ENABLERS = ['rollup'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const ENTRY_FILE_PATTERNS = ['rollup.config.{js,mjs,ts}'];
const findRollupDependencies = async () => {
    const entryPatterns = ENTRY_FILE_PATTERNS.map(toEntryPattern);
    return entryPatterns;
};
export const findDependencies = timerify(findRollupDependencies);
